﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace WpfCommands
{
    /// <summary>
    /// A sample data service class that gives test data
    /// </summary>
    public class SampleDataService
    {
        IList<Customer> customerList;

        /// <summary>
        /// Gets the list of customers
        /// </summary>
        public IList<Customer> CustomerList
        {
            get 
            {
                if (customerList == null)
                    customerList = CreateCustomerList();
                return customerList; 
            }
        }

        //Generates some sample data 
        private IList<Customer> CreateCustomerList()
        {
            return new ObservableCollection<Customer>(
                new List<Customer>
            {
                new Customer { Name = "Marlon", Surname = "Grech"},
                new Customer { Name = "Raf", Surname = "Bianco"},
                new Customer { Name = "Adam", Surname = "Lorenzon"},
                new Customer { Name = "Jon", Surname = "Caruana"},
                new Customer { Name = "Stef", Surname = "Buhagar"},
                new Customer { Name = "Karlston", Surname = "Demajo"},
                new Customer { Name = "Aaron", Surname = "Debatista"}
            });
        }
    }
}
